/* Dummy file for use with no graphics (no X-windows, no DOS framebuffer) */
/* JPB Sept. 11 2012 */

#include <stdio.h>                      /* fopen() sprintf() etc. */
#include <stdlib.h>                     /* strtod() */
#include <math.h>                       /* math stuff */
#include <string.h>                     /* strcpy() */
#include <ctype.h>                      /* tolower() */
#include "hl.h"
#include "hf_io.h"
#define MAIN
#include "typy.h"

#define ESC '/033'

#define FALSE 0
#define TRUE 1
#define D double

#define Elcol(vv, xq, yq)  vv[((yq) * xsize2) + (xq)]



		/* draw two triangles joined along hypotenuse */
void tri3d(D x0, D z0,D x1,D z1,D y0,D y1,D y2,D y3, int shader, int col);
void drawhf(PTYPE *d1, int maxx, int maxz, int s, int t);
int graph_setup(int mode, int *xsize, int *ysize);
void graph_clear();   /* clear graphics screen */
void pr_ghelp();              /* print help message */
void pr_vars(char *fname, int xsize, int ysize, int xgsize, int ygsize);
int getaline(char s[], int lim);       /* read in one line */

int show_grid(hfield hf, char insp[MAXTOK][TOKLEN], int tokens);
int show_flat(hfield hf, char insp[MAXTOK][TOKLEN], int tokens);
int hf_show1(hfield hf,int xw0,int yw0, int xw1, int yw1);

extern hfield *hst;      /* stack of heightfields */
extern int hp;           /* pointer to top of stack: hst[hp] */
extern int stacksize;    /* size of HF stack */
extern int nskip;        /* number of hf elements to skip */
extern int v_tile;       /* view tiled hf? */
extern int xgsize,ygsize; /* size of graphics window */
extern int graph_mode;   /* initial graphics resolution mode (DOS) */
extern int noxinit;      /* if X window has been created */
extern int shader;       /* 0 wireframe 1 height 2 slope 3 lightsource */
extern int hist_on;      /* if history being recorded */
extern D sl_min;         /* minimum slope (shading offset) */
extern D sl_scale;       /* slope scale factor (shading scale) */
extern PT3 light;  /* position of light source */
extern PT3 eye;    /* position of viewer */

static int vfirst = TRUE;       /* if this is first call to show_grid() */

D zcenter; 
D zfar, znear;
D zsf;      /* z coordinate scale factor */
D hs;      /* vertical (y) coordinate scale factor */
D ycorr;  /* y offset correction */
D zeps;   /* z epsilon */
D pinv2 = 0.15915;
int yoff;  /* screen coords y-offset */
short sxmid;  /* center coordinates of view window (eg 640x480) */
short symid;
int maxcol = 127;  /* maximum color index */
D bright;           /* intensity of light  */
int maxcon;         /* maximize contrast? (boolean) */
int cmin, cmax;     /* max and min color index value in this image */
int erasewin = TRUE;       /* erase window between displays? */
int updatewin = TRUE;
int icolormap = FALSE;     /* index color map sucessfully read in */
PTYPE *d2;
U xsize2, ysize2; /* colormap array size */

  /* 3D projection of heightfield (triangulation) */

int show_grid(hfield hf,           /* heightfield to display */
    char insp[MAXTOK][TOKLEN],     /* tokens array, each TOKLEN-1 long max. */
	      int tokens           /* number of tokens present */
  )
  { printf("Oops: no graphics option compiled in this version, try TSHOW instead.\n");
	  return 0; }

void pr_vars(char *fname, int xsize, int ysize, int xgsize, int ygsize)
	      /* print variable values */
{}

void pr_ghelp()              /* print help message */
{}


void tri3d(D x0, D z0,D x1,D z1,D y0,D y1,D y2,D y3, int shader, int col)
{}

void drawhf(PTYPE *d1, int xsize, int ysize, int shader, int tile)
{}

		/* show flat 2D image as greyscale */
int show_flat(hfield hf, char insp[MAXTOK][TOKLEN], int tokens)
{ printf("Oops: no graphics option compiled in this version, try TSHOW instead.\n");
  return 0; }

/* hf_show1()  show a 2D representation of HF in greyscale in an X window */
/*      parameters: heightfield, xmin,ymin,xmax,ymax */
int hf_show1(hfield hf,int xw0,int yw0, int xw1, int yw1)
{ printf("Oops: no graphics option compiled in this version, try TSHOW instead.\n");
return 0; }

